package com.ssj.service.conch.student.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author Mount Liu
 * @date 2018/8/15
 */
public class ProblemReq extends BaseRequest{

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name = "pageNo", value = "页码", required = true)
	private int pageNo;
	@ApiModelProperty(name = "pageSize", value = "页数", required = true)
	private int pageSize;
	@ApiModelProperty(name = "type", value = "难题类型（“0”-未解答难题，“1”-已解答难题）", required = true)
	private int type;
	@ApiModelProperty(name = "vipId", value = "会员id", required = true)
	private String vipId;
	@ApiModelProperty(name = "maxCreateTime", value = "最大时间,格式(yyyy-MM-dd HH:mm:ss)", required = true)
	private String maxCreateTime;

	public int getPageNo() {
		return pageNo;
	}

	public void setPageNo(int pageNo) {
		this.pageNo = pageNo;
	}

	public int getPageSize() {
		return pageSize;
	}

	public void setPageSize(int pageSize) {
		this.pageSize = pageSize;
	}

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}

	public String getVipId() {
		return vipId;
	}

	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

	public String getMaxCreateTime() {
		return maxCreateTime;
	}

	public void setMaxCreateTime(String maxCreateTime) {
		this.maxCreateTime = maxCreateTime;
	}
}
